#  _____    _     _  ___  ___ 
# |_   _| _(_)_ _(_)/ _ \/ __|
#   | || '_| \ V / | (_) \__ \
#   |_||_| |_|\_/|_|\___/|___/
#                             
# Copyright (C) 2023 - Group 8

{ pkgs, ... }: {
  system.nixos = {
    distroName = "TriviOS";
    variant_id = "rpi3";
  };

  system.stateVersion = "23.05";

  boot = {
    loader.raspberryPi = {
      enable = true;
      version = 3;
      firmwareConfig = ''
        core_freq=250
      '';
    };
    loader.grub.enable = false;
    kernelPackages = pkgs.linuxPackages_rpi3;
    kernelParams = [
      "console=ttyS1,115200n8"
    ];
  };

  hardware.enableRedistributableFirmware = true;
  networking.wireless.enable = true;

  environment.systemPackages = with pkgs; [ libraspberrypi ];

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/B007-B007";
      fsType = "vfat";
      options = [ "umask=027" ];
    };
  };


}
